#! /usr/local/bin/perl --
################################################################
# qtba.pl Questions to be Answered Version 4.1 January 22, 1997
# Copyright (c) 1996-1997 Matthew J. Walker, Craig A. Merlic
# Written for the UCLA Virtual Office Hours Project
# Code can be freely distributed for educational use, as long as header
# remains intact.  See included Copyright and Licensing information.
# For info send email to voh@chem.ucla.edu
#
# Check all paths!! "/" for UNIX/NT ":" for Mac
################################################################

require 'voh-lib.pl';
&SetupVOH;

opendir(QUESTIONS, "$questions_path") || (&Failure(11)) ;
@questions = sort { $b <=> $a } (grep(!/^\.\.?$/, readdir(QUESTIONS)));
foreach $question (@questions) {
   open(QUESTION, "$questions_path/$question") || (&Failure(12)) ;
   while(<QUESTION>) {
      $html .= $_ ;
   }
   close(QUESTION);
}
closedir(QUESTIONS) ;

$output = <<"EOS";
$HTTP_header
<! doctype html public "-//W3O//DTD W3 html 2.0//en">
<html><head>
<title>$HTML_title // Unanswered Questions $lecture</title>
</head>
<body $HTML_bgcolor  $HTML_background  >
<a name="TOP"></a>
<center>
<h1>Unanswered Questions $lecture<br>
$instructor</h1>
</center>
<hr>
<!-- begin -->
$html
$HTML_footer
EOS
   if ($system_type eq "Mac") {
      MacPerl::Reply($output);
   } else {
      print($output);
   }
#End
